| Home | Libraries | People | FAQ | More

## Function null_memory_resource

boost::container::pmr::null_memory_resource

## Synopsis

    // In header: <boost/container/pmr/global_resource.hpp>

    memory_resource * null_memory_resource();

## Description

Returns: A pointer to a static-duration object of a type derived from `memory_resource` for which allocate() always throws bad_alloc and for which deallocate() has no effect. The same value is returned every time this function is called. For return value p and memory resource r, p->is_equal(r) returns &r == p.